jQuery(document).ready(function($){

	$(function() {

  $('a[href^="#"]').on('click',function (e) {
        e.preventDefault();

        var target = this.hash;
        $target = $(target);

        $('html, body').stop().animate({
            'scrollTop':  $target.offset().top
        }, 900, 'swing', function () {
            window.location.hash = target;
        });
    });
});

  $('.cd-btn').on('click', function(event){
    event.preventDefault();
    $('.cd-panel').addClass('is-visible');
  });
  //clode the lateral panel
  $('.cd-panel').on('click', function(event){
    if( $(event.target).is('.cd-panel') || $(event.target).is('.cd-panel-close') ) { 
      $('.cd-panel').removeClass('is-visible');
      event.preventDefault();
    }
  });

   // Set options
        var options = {
            offset: '#caract',
            offsetSide: 'top',
            classes: {
                clone:   'banner--clone',
                stick:   'banner--stick',
                unstick: 'banner--unstick'
            }
        };

        // Initialise with options
        var banner = new Headhesive('header', options);

        // Headhesive destroy
        // banner.destroy();




// var settings = {
//         inline : true,
//         on : 'blur',
//         onSuccess : function() {

//             alert("TESTZ");
            
//               // $.ajax({
//               //     type: "POST",
//               //     url: "../mail/mail.php",
//               //     data: $(this).serialize()
//               // }).done(function() {
//               //     $(this).find("input").val("");
//               //     $("#form").trigger("reset");
//               //     document.location.href = '../thanks.html';
//               // });
//               // return false;
//         }
//     };
    
//     var rules = {
//         name : {
//             identifier : 'name',
//             rules : [{
//                 type : 'empty',
//                 prompt : 'Please enter a name'
//             }]
//         },
//         description : {
//             identifier : 'phone',
//             rules : [{
//                 type : 'empty',
//                 prompt : 'Please enter a description'
//             }]
//         }
//     };
   
//     //form validation
//     $('.ui.form').form(rules, settings);

$('#first-form').form(
{
    name:
    {
        identifier: 'name',
        rules:
        [
            {
                type: 'empty',
                prompt: '* Introduceți numele'
            }
        ]
    },
    phone: 
    {
        identifier: 'phone',
        rules:
        [
            {
                type: 'empty',
                prompt: '* Introduceți nr. de telefon'
            }
        ]
    }
},
{
    inline: true,
    onFailure: function()
    {
        console.log('failure');
        return false;
    },
    onSuccess: function()
    {
        $.ajax({
                  type: "POST",
                  url: "../mail/mail.php",
                  data: $(this).serialize()
              }).done(function() {
                  $(this).find("input").val("");
                  $("#form").trigger("reset");
                  document.location.href = '../thanks.html';
              });
              return false;
    }
});

// Form catalog

$('#form-catalog').form(
{
    name:
    {
        identifier: 'name',
        rules:
        [
            {
                type: 'empty',
                prompt: '* Introduceți numele'
            }
        ]
    },
    email: 
    {
        identifier: 'email',
        rules:
        [
            {
                type: 'email',
                prompt: '* Introduceți email valid'
            }
        ]
    }
},
{
    inline: true,
    onFailure: function()
    {
        console.log('failure');
        return false;
    },
    onSuccess: function()
    {
        $.ajax({
            type: "POST",
            url: "../mail/mail2.php",
            data: $(this).serialize()
        }).done(function() {
            $(this).find("input").val("");
            $("#form").trigger("reset");
            document.location.href = '../catalog.html';
        });
        return false;
    }
});

// Form sunet gratuit

$('#sunet-gratuit').form(
{
    name:
    {
        identifier: 'name',
        rules:
        [
            {
                type: 'empty',
                prompt: '* Introduceți numele'
            }
        ]
    },
    phone: 
    {
        identifier: 'phone',
        rules:
        [
            {
                type: 'empty',
                prompt: '* Introduceți nr de telefon'
            }
        ]
    }
},
{
    inline: true,
    onFailure: function()
    {
        console.log('failure');
        return false;
    },
    onSuccess: function()
    {
        $.ajax({
            type: "POST",
            url: "../mail/mail3.php",
            data: $(this).serialize()
        }).done(function() {
            $(this).find("input").val("");
            $("#form").trigger("reset");
            document.location.href = '../thanks.html';
        });
        return false;
    }
});







	
});
